#!/bin/sh

set -eu

echo "==> Starting statd_exporter"

# if file not exist, create
if [[ ! -f /app/data/statsd-mapping.yaml ]]; then
    echo "==> Copying mappings on first run"
    cp /bin/statsd-mapping.yaml /app/data/statsd-mapping.yaml
fi

exec /bin/statsd_exporter --statsd.mapping-config=/app/data/statsd-mapping.yaml